-- カウンター
function counter_act()
  -- 行動済みフラグ
  local done = false
  
  if counter==0 then
    -- カウンター有効、かつガード無効
    if my_act<70 or my_act>=100 then
      if check_need_guard() then
        key_on(front)
        key_on(ACT_A)
--        yield()
--        key_off(ACT_A)
        done = true
      end
    end
  end
  return done
end
